Skip to main content
POST
/
api
/
v1
/
senders
Python
from everos_cloud import EverOS

client = EverOS()
senders = client.v1.senders

response = senders.create(
    sender_id="<string>",
    name="<string>"
)
print(response)
curl --request POST \
--url 'https://api.evermind.ai/api/v1/senders' \
--header 'Authorization: Bearer <api_key>' \
--header 'Content-Type: application/json' \
--data '{}'
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sender_id: '<string>', name: '<string>'})
};

fetch('https://api.evermind.ai/api/v1/senders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "sender_id": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "name": "<string>"
  }
}
{
"code": "<string>",
"message": "<string>",
"timestamp": "<string>",
"path": "<string>",
"request_id": "unknown"
}
{
"code": "<string>",
"message": "<string>",
"timestamp": "<string>",
"path": "<string>",
"request_id": "unknown"
}

Authorizations

Authorization
string
header
default:Bearer <api_key>
required

Bearer authentication header of the form Bearer 'api_key', obtain your API key from everos.evermind.ai.

Body

application/json
sender_id
string
required

Sender identifier (unique)

Example:

"user_123"

name
string | null

Sender display name

Example:

"Alice"

Response

Sender created/updated successfully

data
object